<?php

/**
 * @package     Joomla.Administrator
 * @copyright   Copyright (C) 2005 - 2012 Open Source Matters, Inc. All rights reserved.
 * @license     GNU General Public License version 2 or later; see LICENSE.txt
 */

defined('_JEXEC') or die;

class PlgUserIpriceregistration extends JPlugin
{
	protected $autoloadLanguage = true;

	public function onUserBeforeSave($user, $isnew, $data)
	{
		
		if ($isnew)
		{
			if($data['username'] !== $data['email']) 
			{
				JFactory::getApplication()->enqueueMessage('COM_USERS_REGISTRATION_SAVE_FAILED');
				return false;      
			}
		}
		return true;
	}
}
